> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Retrieve webhook message schema (Beta)

GET https://api.sigmacomputing.com/v2/webhooks/{workbookId}/{sequenceId}/schema

Retrieve the schema for an action sequence in a workbook configured to be triggered from a webhook.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

To send data to this webhook, see the [/v2/webhooks/{workbookId}/{sequenceId}](webhooks) endpoint.

### Usage notes
- Retrieve the **workbookId** by calling the [/v2/workbooks](listworkbooks) endpoint.
- Retrieve the webhook URL, which contains the **workbookId** and **sequenceId**, by creating a webhook through the Sigma UI. The URL will be formatted as `/v2/webhooks/{workbookId}/{sequenceId}`.
- The keys included in the response `variables` are the same JSON keys used in the POST body for [/v2/webhooks/{workbookId}/{sequenceId}](webhooks).
    

Reference: https://help.sigmacomputing.com/reference/get-webhook-schema

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/webhooks/{workbookId}/{sequenceId}/schema:
    get:
      operationId: getWebhookSchema
      summary: Retrieve webhook message schema (Beta)
      description: >-
        Retrieve the schema for an action sequence in a workbook configured to
        be triggered from a webhook.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        To send data to this webhook, see the
        [/v2/webhooks/{workbookId}/{sequenceId}](webhooks) endpoint.


        ### Usage notes

        - Retrieve the **workbookId** by calling the
        [/v2/workbooks](listworkbooks) endpoint.

        - Retrieve the webhook URL, which contains the **workbookId** and
        **sequenceId**, by creating a webhook through the Sigma UI. The URL will
        be formatted as `/v2/webhooks/{workbookId}/{sequenceId}`.

        - The keys included in the response `variables` are the same JSON keys
        used in the POST body for
        [/v2/webhooks/{workbookId}/{sequenceId}](webhooks).
            
      tags:
        - Webhooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: sequenceId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhooks_getWebhookSchema_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2WebhooksWorkbookIdSequenceIdSchemaGetResponsesContentApplicationJsonSchemaVariables:
      type: object
      properties: {}
      title: >-
        V2WebhooksWorkbookIdSequenceIdSchemaGetResponsesContentApplicationJsonSchemaVariables
    webhooks_getWebhookSchema_Response_200:
      type: object
      properties:
        variables:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/V2WebhooksWorkbookIdSequenceIdSchemaGetResponsesContentApplicationJsonSchemaVariables
          description: Key-value pairs of the fields to send to a webhook.
      required:
        - variables
      title: webhooks_getWebhookSchema_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "variables": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/webhooks/workbookId/sequenceId/schema")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```